% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qott.R
\name{csa.bounds}
\alias{csa.bounds}
\title{csa.bounds}
\usage{
csa.bounds(
  formla,
  t,
  tmin1,
  tmin2,
  tname,
  idname,
  data,
  delt.seq,
  y.seq = NULL,
  Y0tmethod,
  h = NULL,
  xformla = ~1,
  firststep = c("dr", "qr", "ll"),
  se = FALSE,
  bootiters = 100,
  cl = 1,
  alp = 0.05,
  ...
)
}
\arguments{
\item{formla}{A formula of the form: outcome ~ treatment}

\item{t}{the value for the third time period}

\item{tmin1}{the value of the second time period}

\item{tmin2}{the value of the first time period}

\item{tname}{the name of the variable in \code{data} that contains the
time period}

\item{idname}{the name of the variable in \code{data} that contains the
id variable}

\item{data}{the name of the \code{data.frame}.  It should be in "long"
format rather than "wide" format.}

\item{delt.seq}{a vector of values to compute the distribution of the
treatment effect for}

\item{y.seq}{a vectof of values to compute first-step distributions over
(this is currently not used as it is computed internally)}

\item{Y0tmethod}{the name of a function to estimate the distribution
of Y0t in a first step; for example \code{qte::panel.qtet},
\code{qte::ddid2}, or \code{qte::CiC}}

\item{h}{optional bandwidth when using local linear regression}

\item{xformla}{a formula for which covariates to use}

\item{firststep}{whether to use distribution regression ("dr"),
quantile regression ("qr"), or local linear distribution regression ("ll")
for the first step estimation of condtional distributions}

\item{se}{whether or not to compute standard errors (if \code{TRUE},
they are computed using the bootstrap}

\item{bootiters}{if computing standard errors using the bootstrap, how
many bootstrap iterations to use}

\item{cl}{if computing standard errors using the bootstrap, how many
cores to use in parallel computation (default is 1)}

\item{alp}{significance level for confidence intervals}

\item{...}{whatever extra arguments need to be passed to Y0tmethod}
}
\description{
The main function of the \code{csabounds} package.
 It computes bounds on the distribution of the treatment effect
 when panel data is available and under the Copula Stability Assumption.
 The function can also compute tighter bounds when other covariates are
 available.
}
